
%define name smeserver-privoxy
%define version 0.1
%define release 0.beta0

Summary: SME Server integration of privoxy
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Remote access
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch

BuildRequires: e-smith-devtools

Requires: e-smith-base
Requires: e-smith-proxy
Requires: privoxy

%description
This package contains all the needed scripts and templates
to have integrate privoxy in SME Server

%changelog
* Thu Mar 31 2011 Daniel B. <daniel@firewall-services.com> 0.1-1.sme
- Initial release


%prep
%setup -q -n %{name}-%{version}


%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --file /var/service/privoxy/run 'attr(0755,root,root)' \
  --file /var/service/privoxy/log/run 'attr(0755,root,root)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%post

%preun

